Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 206966 - dev-util/pkgconfig contains an internal copy of glib
Summary: dev-util/pkgconfig contains an internal copy of glib
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords:
Depends on: 414101
Blocks: bundled-libs
  Show dependency tree
 
Reported: 2008-01-22 00:36 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2012-04-30 12:10 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2008-01-22 00:36:53 UTC
Symbol g_str_equal@@ (64-bit UNIX System V ABI AMD x86-64 architecture) present 3 times
  /usr/lib64/libglib-2.0.so.0.1400.5
  /usr/bin/pkg-config
  /usr/lib64/libgettextlib-0.17.so
Symbol g_str_hash@@ (64-bit UNIX System V ABI AMD x86-64 architecture) present 3 times
  /usr/lib64/libglib-2.0.so.0.1400.5
  /usr/bin/pkg-config
  /usr/lib64/libgettextlib-0.17.so
Comment 1 Rémi Cardona gentoo-dev 2008-01-22 07:45:33 UTC
Steev, Diego, this is wrong. pkg-config has its own glib because glib needs pkg-config. You've just created a circular dep.

And by the way, the pkgconfig package now deps on pkgconfig ... please tell me how this is not going to bite us in the a** later on.

Cheers :)
Comment 2 Rémi Cardona gentoo-dev 2008-01-22 07:48:54 UTC
Oh, and btw, pkg-config includes a copy of glib-1.2.10 FWIW.
Comment 3 Diego Elio Pettenò (RETIRED) gentoo-dev 2008-01-22 11:42:21 UTC
Not saying this is going to be easy ;) but at least having a reference bug helps..
Comment 4 Mart Raudsepp gentoo-dev 2008-12-19 00:48:43 UTC
This is something that will NOT be fixed as the copy is justified and it is only a copy of the subset that actually gets used.
Comment 5 Samuli Suominen gentoo-dev 2012-04-01 08:27:55 UTC
This is actually fixed by pkg-config-0.26 now, switching to 'FIXED'